<!DOCTYPE=html>
<html lang="en">
<head>
  <link rel="stylesheet" href="custom.css">
  <link href="icons/css/all.css" rel="stylesheet">
  <link href="icons/Academicons/css/academicons.css" rel="stylesheet">
<style>
:root{
  --colour-page: var(--colour-unige);
}
  
body {
	margin: 0;
	font-family: Arial, Helvetica, sans-serif;
}

.sidebar {
  background-image: linear-gradient(to bottom, rgb(0,0,0,0),rgb(0,0,0,0),var(--colour-page)),
  url(img/MAT_improved_expTT203bSidebar_20180819.png);
}

.sidebar-background {
  background-image: none;
}  

dt {
    font-weight: bold;
    padding: 5px;
}

dd {
    text-align: justify;
}
</style>
</head>

<body>

<div class="sidebar">
  <div class="sidebar-background" title="Sidebar">
    <a href="index.html" title="Home">
      <i class="fas fa-home fa-fw"></i>Home
    </a>
    <a href="publications.html" title="Publications">
      <i class="fas fa-copy fa-fw"></i>Publications
    </a>
    <a href="presentations.html" title="Presentations">
      <i class="fas fa-photo-video fa-fw"></i>Presentations
    </a>
    <a href="ongoing.html" title="Ongoing">
      <i class="fas fa-microscope fa-fw"></i>Ongoing
    </a>
    <a href="code.html" title="Code">
      <i class="fas fa-code fa-fw"></i>Code
    </a>
  </div>
</div>

<div class="main">

  <div class="topbox" title="Header">
    <div class="topbox-heading" alt="Publications">
      <h1>Conor McCoid</h1>
        <h3>Publications</h3>
    </div>
  </div>

<div class="main-content">

  <h3>Peer-reviewed</h3>

  <dl>
    <dt><a href="pubs/mccoid2019improved.pdf">Improved Resolution of Boundary Layers for Spectral Collocation</a>,
      with Manfred Trummer, SIAM J. Sci. Comput. 41-5 (2019)</dt>
    <dd>We propose a new algorithm to improve the accuracy of spectral methods for singularly 
      perturbed two-point boundary value problems. Driscoll and Hale [J. Numer. Anal., 36 (2016), 
      pp. 108--132] suggest resampling as an alternative to row replacement when including boundary 
      conditions. Testing this with an iterated sine-transformation 
      [T. Tang and M. R. Trummer [SIAM J. Sci. Comput., 17 (1996), pp. 430--438] designed for 
      boundary layers reveals artificial boundary conditions imposed by the transformation. 
      The transformation is regularized to prevent this. The new regularized sine-transformation 
      is employed to solve boundary value problems with and without resampling. It shows superior 
      accuracy provided the regularization parameter is chosen from an optimal range.</dd>

    <dt><a href="http://rdcu.be/BfA4">Preconditioning of spectral methods via Birkhoff interpolation</a>, 
      with Manfred Trummer, Numerical Algorithms, 79(2), 555-573 (2018)</dt>
    <dd>High-order differentiation matrices as calculated in spectral collocation methods 
      usually include a large round-off error and have a large condition number 
      (Baltensperger and Berrut Computers and Mathematics with Applications 37(1), 41– 48 1999; 
      Baltensperger and Trummer SIAM J. Sci. Comput. 24(5), 1465–1487 2003; Costa and Don Appl. 
      Numer. Math. 33(1), 151–159 2000). Wang et al. (Wang et al. SIAM J. Sci. Comput. 36(3), 
      A907–A929 2014) present a method to precondition these matrices using Birkhoff interpolation. 
      We generalize this method for all orders and boundary conditions and allowing arbitrary 
      rows of the system matrix to be replaced by the boundary conditions. 
      The preconditioner is an exact inverse of the highest-order differentiation matrix 
      in the equation; thus, its product with that matrix can be replaced by the identity matrix. 
      We show the benefits of the method for high-order differential equations. 
      These include improved condition number and, more importantly, higher accuracy of solutions 
      compared to other methods.</dd>
  </dl>
  
  <h3>Submitted for review</h3>

  <dl>
    <dt><a href="pubs/PRE_mccoid2021provably.pdf">A provably robust algorithm for triangle-triangle intersections in floating point arithmetic</a>,
      with Martin J. Gander, preprint, submitted to TOMS (2021)</dt>
    <dd>Motivated by the unexpected failure of the triangle intersection component of the Projection Algorithm for
    Nonmatching Grids (PANG), this article provides a robust version with proof of backward stability. The new
    triangle intersection algorithm ensures consistency and parsimony across three types of calculations. The set
    of intersections produced by the algorithm, called representations, is shown to match the set of geometric
    intersections, called models. The article concludes with a comparison between the old and new intersection
    algorithms for PANG using an example found to reliably generate failures in the former.</dd>
    <dt><a href="pubs/mccoid2021cycles.pdf">Cycles in Newton-Raphson preconditioned by Schwarz (ASPIN and its cousins)</a>
      with Martin J. Gander, preprint, submitted to DD26 proceedings (2021)</dt>
    <dd>Newton-Raphson preconditioned by Schwarz methods does not have sufficient convergence criteria.
We explore an alternating Schwarz method accelerated by Newton-Raphson to find an example where the underlying Schwarz method converges but the Newton-Raphson acceleration fails.
Alternating Schwarz is posed as a fixed point iteration to make use of theory for generic root-finding methods.
An algorithm is proposed combining several aspects of this theory and others to guarantee convergence.</dd>
  </dl>

  <h3>Other</h3>

  <dl>
    <dt><a href="pubs/mccoid2018spectral.pdf">Spectral Differentiation: Integration and Inversion</a>,
    masters thesis, Simon Fraser University (2018)</dt>
    <dd>Pseudospectral differentiation matrices suffer from large round-off error, and give
       rise to illconditioned systems used to solve differential equations numerically. This 
       thesis presents two
      types of matrices designed to precondition these systems and improve robustness towards
      this round-off error for spectral methods on Chebyshev-Gauss-Lobatto points. The first
      of these is a generalization of a pseudospectral integration matrix described by Wang et
      al. [18]. The second uses this integration matrix to construct the matrix representing the
      inverse operator of the differential equation. Comparison is made between expected and
      calculated eigenvalues. Both preconditioners are tested on several examples. In many cases,
      accuracy is improved over the standard methodology by several orders of magnitude. Using
      these matrices on general sets of points is briefly discussed.</dd>
  </dl>
</div>

<div class="bottombox" alt="footer" title="Footer">
  <div class="bottombox-column" title="logo">
    <img src="img/unige_logo.svg">
  </div>
  <div class="bottombox-column">
    <h3>Address</h3>
    <p>Office 605</p>
    <p>Rue du Conseil-G&eacute;n&eacute;ral 7-9</p>
    <p>1205 Gen&egrave;ve</p>
    <p>Switzerland</p>
  </div>
  <div class="bottombox-column">
    <h3>Contact</h3>
    <p><i class="fas fa-envelope"></i> conor.mccoid@unige.ch</p> <br>
    <!-- <p><i class="fas fa-phone"></i> +41 22 379 11 60</p> -->
  </div>
  <div class="bottombox-column">
    <h3>Academic Profiles</h3>
    <p><i class="fab fa-orcid"></i> <a href="https://orcid.org/0000-0002-2592-5005">ORCID</a></p> <br>
    <!-- <p><div itemscope itemtype="https://schema.org/Person"><a itemprop="sameAs" content="https://orcid.org/0000-0002-2592-5005" href="https://orcid.org/0000-0002-2592-5005" target="orcid.widget" rel="me noopener noreferrer" style="vertical-align:top;"><img src="https://orcid.org/sites/default/files/images/orcid_16x16.png" style="width:1em;margin-right:.5em;" alt="ORCID iD icon">https://orcid.org/0000-0002-2592-5005</a></div></p> <br> -->
  </div>
</div>

</div>

</body>
</html>
